package com.ruoyi.xq.enums.userinfo;


import lombok.Getter;

/**
 * 星座
 * <p>created on 2024/2/26 16:50</p>
 * @author duet
 */
@Getter
public enum UserSignEnum {
    ARIES(1,"白羊座"),
    TAURUS(2,"金牛座"),
    GEMINI(3,"双子座"),
    CANCER(4,"巨蟹座"),
    LEO(5,"狮子座"),
    VIRGO(6,"处女座"),
    LIBRA(7,"天秤座"),
    SCORPIO(8,"天蝎座"),
    SAGITTARIUS(9,"射手座"),
    CAPRICORNUS(10,"摩羯座"),
    AQUARIUS(11,"水瓶座"),
    PISCES(12,"双鱼座"),
    ;


    private final Integer code;
    private final String text;

    UserSignEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
